
	MODULE  chunkModule

          TYPE, PUBLIC :: chunk_type
            INTEGER height
            INTEGER width
            REAL(KIND=8) temperature(100,12)
          END TYPE chunk_type

          TYPE chunk_struct
            TYPE (chunk_type), POINTER::  chunk_ptr
          END TYPE chunk_struct

        END MODULE chunkModule

